Ticket #4366 (closed defect: fixed)

Opened 7 years ago

Last modified 7 years ago

ポータルクリエイター管理画面のフリーエリア設定にある画像一覧の表示が重い

Reported by: ogawa Assigned to: shingo
Priority: minor Milestone: OpenPNE2.14.3
Component: 指定しない Version: 2.12.x & 2.14.x
Keywords: OpenPNE2.12.16 Cc:

Description (Last modified by imamura623)

■現象

ポータルクリエイター管理画面のフリーエリア設定にある画像一覧の表示が重い。

■原因

DBサーバに負荷のかかるSQLが実行されているため。

■修正内容

原因となっているSQLは表示には不要なため、そのSQLを発行している処理を削除する。

■関連情報

  • #4374:画像データ保存用DB(オプション)の使用時にポータルクリエータのフリーエリアの画像が削除できない

Change History

11/06/09 22:22:57 changed by kiwa

  • keywords set to OpenPNE2.12.16.
  • milestone set to OpenPNE2.14.3.

11/11/09 15:36:53 changed by kiwa

  • owner changed from nobody to shingo.

おねがいします

11/11/09 16:50:30 changed by shingo

  • keywords changed from OpenPNE2.12.16 to OpenPNE2.12.16 確認中.

以下のリビジョンで修正しました

11/11/09 16:51:13 changed by shingo

11/18/09 16:53:46 changed by urabe

  • keywords changed from OpenPNE2.12.16 確認中 to OpenPNE2.12.16 テスト待ち.
  • LEFT JOIN で右側のテーブル結果がNULLでもSQLの結果に変化はないので、問題のない修正だと判断しました。

11/18/09 17:30:51 changed by imamura623

  • keywords changed from OpenPNE2.12.16 テスト待ち to OpenPNE2.12.16.
  • status changed from new to closed.
  • resolution set to fixed.
  • description changed.

動作テストしました。

  • 修正前からアップロードされている画像について表示・フリーエリアへ挿入・削除ができることを確認
  • 新たにアップロードした画像の表示・フリーエリアへ挿入・削除ができることを確認

画像DBオプション有効時にアップロードした画像が削除できないバグがありましたが、別チケットで対応します。

  • #4374:画像データ保存用DB(オプション)の使用時にポータルクリエータのフリーエリアの画像が削除できない

#4374以外は問題無いとし、このチケットについては修正完了とします。

11/18/09 17:31:21 changed by imamura623

  • description changed.